"This hapikey is not valid because the associated hub xxx is nonexistent."

KikeDiaz
Member

I recently created my developer account. I created an App that already installed in an account. Now I'm trying to perform OAuth with my Developer API key and I receive this error "This hapikey is not valid because the associated hub xxxxxxx is nonexistent." being xxxxxx my actual developer account ID. :S. Please help.

 

I get that error when I try to perform this call in Postman:

https://api.hubapi.com/integrations/v1/<my application id>/timeline/event-types?hapikey=<my hapikey>&userId=<my user id>

 

Why is my developer account ID a nonexistent hub? How can I solve this?

0 Upvotes
2 Replies 2
dennisedson
Community Manager

@KikeDiaz , I am unclear why you are needing a hapikey if you are authenticating with OAuth.  Can you add more details to your question?

Thanks,

Dennis




Check out our Community Developer Blog
where we feature our Community driven developer podcast and how to content
0 Upvotes
webdew
Top Contributor | Diamond Partner

Hi @KikeDiaz ,

you must use your developer account hapikey not the one in which you want to install the app . if you are using the developer account hapikey , then try to regenerate the hapikey and then use it with your correct app_id and user_id.

Hope this helps!


If we were able to answer your query, kindly help the community by marking it as a solution.

Thanks and Regard.

0 Upvotes